CreditorReferenceInformationSEPA1
Date: 2015-04-26

de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02

## Class CreditorReferenceInformationSEPA1

- java.lang.Object
- - de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02.CreditorReferenceInformationSEPA1

-     public class CreditorReferenceInformationSEPA1
      extends java.lang.Object

  Java class for CreditorReferenceInformationSEPA1 complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CreditorReferenceInformationSEPA1">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}CreditorReferenceTypeSEPA"/>
               <element name="Ref" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}Max35Text"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `ref`
    `protected CreditorReferenceTypeSEPA` | `tp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreditorReferenceInformationSEPA1()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getRef()` Gets the value of the ref property.
    `CreditorReferenceTypeSEPA` | `getTp()` Gets the value of the tp property.
    `void` | `setRef(java.lang.String value)` Sets the value of the ref property.
    `void` | `setTp(CreditorReferenceTypeSEPA value)` Sets the value of the tp property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tp

          protected CreditorReferenceTypeSEPA tp

    - #### ref

          protected java.lang.String ref

  - ### Constructor Detail

    - #### CreditorReferenceInformationSEPA1

          public CreditorReferenceInformationSEPA1()

  - ### Method Detail

    - #### getTp

          public CreditorReferenceTypeSEPA getTp()

      Gets the value of the tp property.
      Returns:
        possible object is `CreditorReferenceTypeSEPA`

    - #### setTp

          public void setTp(CreditorReferenceTypeSEPA value)

      Sets the value of the tp property.
      Parameters:
        `value` - allowed object is `CreditorReferenceTypeSEPA`

    - #### getRef

          public java.lang.String getRef()

      Gets the value of the ref property.
      Returns:
        possible object is `String`

    - #### setRef

          public void setRef(java.lang.String value)

      Sets the value of the ref property.
      Parameters:
        `value` - allowed object is `String`